Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Upgrading Current Gallery to Latest Coppermine Isn't Working!  (Read 3281 times)

0 Members and 1 Guest are viewing this topic.

torgasm

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 23
Upgrading Current Gallery to Latest Coppermine Isn't Working!
« on: August 23, 2010, 08:15:48 pm »

I saw quite a few people having issues w/ Fatal Errors but I need help specifically with this.

I think I saw someone talking about this somewhere, but I didn't understand it at all.

What exactly does this error mean, and what do I go about doing to fix it? http://tokiopix.com

Fatal Error :

While executing query 'SELECT MAX(group_quota) AS disk_max, MIN(group_quota) AS disk_min, MAX(can_rate_pictures) AS can_rate_pictures, MAX(can_send_ecards) AS can_send_ecards, MAX(can_post_comments) AS can_post_comments, MAX(can_upload_pictures) AS can_upload_pictures, MAX(can_create_albums) AS can_create_albums, MAX(has_admin_access) AS has_admin_access, MAX(access_level) AS access_level, MIN(pub_upl_need_approval) AS pub_upl_need_approval, MIN( priv_upl_need_approval) AS  priv_upl_need_approval FROM cpg_usergroups WHERE group_id in (1)' in bridge/udb_base.inc.php on line 321

mySQL error: Unknown column 'access_level' in 'field list'


(I can't see anything on my site, except I see my theme comes up still when I update http://tokiopix.com/update.php)
Logged

Nibbler

  • Guest
Re: Upgrading Current Gallery to Latest Coppermine Isn't Working!
« Reply #1 on: August 23, 2010, 08:25:27 pm »

The error means that your database was not updated to be 1.5 compatible. Running update.php should fix this, however you still have the old copy of sql/update.sql which means the update script will not work correctly. You need to make sure you have actually uploaded all the new files from the coppermine package to your webserver. Double check this.
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4730
    • Windsurf.me
Re: Upgrading Current Gallery to Latest Coppermine Isn't Working!
« Reply #2 on: August 23, 2010, 08:31:09 pm »

Looks like your cpg_usergroups table has become corrupt. Try repairing it via phpmyadmin and if all else fails make a new install on your localhost (use wamp [google it]) and you will see how the structure of the table should look so you can manually repair it.
Logged
It is a mistake to think you can solve any major problems just with potatoes.

torgasm

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 23
Re: Upgrading Current Gallery to Latest Coppermine Isn't Working!
« Reply #3 on: August 23, 2010, 08:34:17 pm »

The error means that your database was not updated to be 1.5 compatible. Running update.php should fix this, however you still have the old copy of sql/update.sql which means the update script will not work correctly. You need to make sure you have actually uploaded all the new files from the coppermine package to your webserver. Double check this.

oh! YES!!

Working now! Thank you so much!
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15765
Re: Upgrading Current Gallery to Latest Coppermine Isn't Working!
« Reply #4 on: September 02, 2010, 11:44:39 am »

Marking as solved.
Logged
Pages: [1]   Go Up
 

Page created in 0.02 seconds with 21 queries.